/*
Theme Name: Alloggio Child
Theme URI: https://alloggio.qodeinteractive.com
Description: A child theme of Alloggio
Author: Edge Themes
Author URI: https://qodeinteractive.com
Version: 1.0.4
Text Domain: alloggio
Template: alloggio
*/

/* GENERAL */
:root {
  --accent-color: #a4c1b6;
  --text-color: #181716;
  --color-smoke: #EAE9E5;
}

::-moz-selection {
  color:#fff;
  background: var(--accent-color);
}
::selection {
  color:#fff;
  background: var(--accent-color);
}

body,
button[type="submit"] {
  font-family: 'Lato', sans-serif;
}

button[type="submit"] {
  font-weight: 700;
}

ul, ol {
  font-weight: initial;
}

/* HEADER */
.qodef-weather-widget .qodef-m-temperature {
  font-family: 'Lato', sans-serif;
}
.qodef-header--minimal #qodef-page-header {
  background-color: rgba(255,255,255,0);
}
.qodef-opener-icon.qodef-source--predefined .qodef-m-line {
  height: 2px;
}

/* support SVG as logos */
#qodef-page-header .qodef-header-logo-link img {
  width: 100%;
  min-width: 250px;
}
#qodef-page-mobile-header .qodef-mobile-header-logo-link img {
  min-width: 200px;
}

/* CONTENT */
.qodef-button.qodef-layout--filled.qodef-html--link .qodef-m-background-holder {
  background: var(--text-color);
}

/* fix button icon on newline issue */
.qodef-button.qodef-layout--textual .qodef-m-text {
  display: initial;
}

.qodef-room-calendar {
  background-color: transparent;
}

/* fix empty banner links */
body .qodef-banner .qodef-m-banner-link[href=""] {
  pointer-events: none;
}

@media screen and (max-width: 680px) {
  body .qodef-banner.qodef-layout--link-overlay .qodef-m-button {
    display: block;
  }
  body .qodef-banner.qodef-layout--link-overlay .qodef-m-content-inner {
    padding: 5% 8% 5% 8% !important;
  }
  body .qodef-banner.qodef-layout--link-overlay .qodef-m-content {
    left: 0;
  }
  body .qodef-banner.qodef-layout--link-overlay .qodef-m-content-inner .qodef-m-content-inner-background {
    -ms-transform: none !important;
    -webkit-transform: none !important;
    transform: none !important;
  }
}

@media screen and (min-width: 1025px) {

  .qodef-header--light.qodef-header--sticky-display:not(.qodef-fullscreen-menu--opened) .qodef-opener-icon.qodef-source--predefined {
    color: inherit !important;
  }

  .qodef-google-map.custom-banner-map .qodef-m-map {
    height: 900px !important;
  }
  .qodef-banner.custom-map-banner .qodef-m-image img {
    height: 900px;
    object-fit: cover;
  }
  .custom-banner-map-sc .BorlabsCookie ._brlbs-content-blocker ._brlbs-embed ._brlbs-thumbnail {
    height: 900px;
    object-fit: cover;
  }
}
.custom-banner-map-sc .BorlabsCookie ._brlbs-content-blocker {
  line-height: 0;
}
.custom-banner-map-sc .BorlabsCookie ._brlbs-content-blocker ._brlbs-embed {
  width: 100%;
  margin-bottom: 0;
}
.custom-banner-map-sc .BorlabsCookie ._brlbs-content-blocker ._brlbs-embed ._brlbs-thumbnail {
  width: 100%;
}

@media screen and (min-width: 681px) {
  /* Banner Section with full relative height */
  .has-full-height-cols .elementor-widget-alloggio_core_banner,
  .has-full-height-cols .elementor-widget-container,
  .has-full-height-cols .elementor-widget-container .qodef-banner,
  .has-full-height-cols .elementor-widget-container .qodef-banner .qodef-m-image,
  .has-full-height-cols .elementor-widget-container .qodef-banner .qodef-m-image img {
    height: 100%;
  }
}
.has-full-height-cols .elementor-widget-container .qodef-banner .qodef-m-image img {
  object-fit: cover;
}

body .elementor-heading-title {
  line-height: 1.2;
}

.qodef-section-title span.qodef-m-text {
  font-weight: 400;
}

.rating-testimonials .qodef-e-content {
  padding-bottom: 2.5em;
}

.rating-testimonials .qodef-e-quote {
    position: absolute;
    margin: 0 !important;
    top: auto;
    bottom: 0.25em;
    left: -0.5em;
}

@media screen and (min-width: 480px) {
  .rating-testimonials .qodef-e-content {
    padding-bottom: 3.5em;
  }

  .rating-testimonials .qodef-e-quote {
    bottom: 0;
    left: -0.75em;
  }
}

/** CF7 */

.wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item {
  margin-left: 0;
}
.wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item input[type="checkbox"] {
  margin-left: 0;
}
.wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item label,
.wpcf7-form-control-wrap .wpcf7-not-valid-tip {
  line-height: 1.6;
}
.wpcf7 form .wpcf7-response-output {
  font-weight: 400;
}

/* WP Booking calendar */
body .wpbs-main-wrapper {
  font-weight: 400;
}

body .wpbs-main-wrapper .wpbs-form-container {
  max-width: none !important;
}
body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field-label label {
    font-weight: normal !important;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-form-field-input {
  /*border: 0*/
}

body .wpbs-main-wrapper .wpbs-container .wpbs-calendars > * {
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar,
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar-header.wpbs-heading {
  background-color: #fbfaf5;
  /*border: 0;*/
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar-header.wpbs-heading {
  padding-top: 25px;
}
body .wpbs-container .wpbs-calendars .wpbs-calendar-wrapper {
  padding: 10px 25px 25px;
}

body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar {
  border: 1px solid rgba(0,0,0,.18);
}

body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar-header-navigation {
  text-transform: uppercase;
  letter-spacing: .25em;
  padding-left: 0 50px !important;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar-header-navigation .wpbs-select-container {}

body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-prev,
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-next {
  background: none;
  border-radius: 0;
  transition: opacity .2s ease;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-prev:hover,
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-next:hover {
  opacity: .5;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-prev {
  left: 18px;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-next {
  right: 18px;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-arrow {
  position: relative;
  top: auto;
  left: auto;
  right: auto;
  /*background-color: var(--accent-color);*/
  width: 7px;
  height: 12.6px;
  padding: 6px 8px;
  border: 0;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-prev .wpbs-arrow {
  background: url('images/arrow-left.svg') center no-repeat;
}
body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-calendar-header-navigation .wpbs-next .wpbs-arrow {
  background: url('images/arrow-right.svg') center no-repeat;
}

body .wpbs-main-wrapper .wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-wrapper thead th {
  font-weight: normal;
  color: var(--accent-color);
}

body .wpbs-date-today:not(.wpbs-date-hover):not(.wpbs-date-selected) .wpbs-legend-item-icon {
  border-width: 3px !important;
  /*border: 3px solid var(--accent-color) !important;*/
}

body .wpbs-container.wpbs-calendar-1 .wpbs-legend-item-1:not(.wpbs-selected-first):not(.wpbs-selected-last):hover .wpbs-date-number {
  color: #fff !important;
}

/*body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-selected:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon div:first-of-type,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-selected.wpbs-selected-first.wpbs-selected-last .wpbs-legend-item-icon div:first-of-type,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-enable-hover .wpbs-date-selected:hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon div:first-of-type {
  background-color: var(--accent-color) !important;
}

body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-enable-hover .wpbs-is-bookable:hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon div:first-of-type,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon div:first-of-type,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-hover.wpbs-selected-first.wpbs-selected-last .wpbs-legend-item-icon div:first-of-type {
  background-color: var(--accent-color) !important;
}
body.wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-enable-hover .wpbs-is-bookable:hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon[data-type="split"] div svg,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon[data-type="split"] div svg,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-legend-item-icon .wpbs-legend-icon-select svg,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-selected:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon[data-type="split"] div svg,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-enable-hover .wpbs-date-selected:hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-legend-item-icon[data-type="split"] div svg,
body .wpbs-main-wrapper:not(.wpbs-main-wrapper-form-0) .wpbs-date-selected .wpbs-legend-item-icon .wpbs-legend-icon-select svg {
  fill: var(--accent-color) !important;
}*/

body .wpbs-container.wpbs-calendar-1 .wpbs-legend-item-1.wpbs-date-hover:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-date-number,
body .wpbs-container.wpbs-calendar-1 .wpbs-legend-item-1.wpbs-date-selected:not(.wpbs-selected-first):not(.wpbs-selected-last) .wpbs-date-number {
  color: #fff !important;
}

.wpbs-container .wpbs-calendars .wpbs-calendar table tr td .wpbs-date.wpbs-gap {
  background-color: #fbfaf5;
}

body .wpbs-container .wpbs-calendars .wpbs-calendar table tr td {
  /*padding: 0 !important;*/
}
body .wpbs-container .wpbs-calendars .wpbs-calendar table tr td .wpbs-date:not(.wpbs-gap) {
  /*border: 1px solid rgba(0,0,0,.18) !important;*/
}

body .wpbs-container.wpbs-calendar-1 .wpbs-date-number {
  color: rgba(80,78,69,.4);
}
body .wpbs-container.wpbs-calendar-1 .wpbs-legend-item-icon-0 div:first-of-type {
  background-color: rgba(80,78,69,.1) !important;
}

body .wpbs-container .wpbs-calendars .wpbs-calendar.wpbs-has-prices table tr td .wpbs-date-inner .wpbs-date-number .wpbs-daily-price {
  color: #999;
}



body .wpbs-main-wrapper .wpbs-form-container.wpbs-form-1 {
  padding-top: 10px;
  text-align: left;
}

/*body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field #wpbs-form-submit-1 {
  width: 100%;
}*/

body .wpbs-main-wrapper .wpbs-form-container.wpbs-form-1 .wpbs-form-submit-button {
}

body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field button[type="submit"],
body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field input[type="submit"] {
  color: #fff;
  background-color: var(--accent-color);
  border-color: var(--accent-color);
  font-weight: 700;
}

body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field button[type="submit"]:hover,
body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field input[type="submit"]:hover {
  background-color: var(--text-color);
  border-color: var(--text-color);
}


@media screen and (min-width: 500px) {
  body .wpbs-form-selected-dates .wpbs-form-selected-date {
    width: 48% !important;
    
  }
  body .wpbs-form-selected-dates .wpbs-form-selected-date:first-child {
    float: left;
    margin-right: 2%;
    clear: both;
  }
  body .wpbs-form-selected-dates .wpbs-form-selected-date:last-child {
    float: right;
    margin-left: 2%;
    clear: none !important;
  }

  .wpbs-pricing-table th:last-child,
  .wpbs-pricing-table td:last-child {
    width: 175px;
  }
}

.wpbs-pricing-table th,
.wpbs-pricing-table td {
  text-align: left;
}

.wpbs-alert {
  position: relative;
  text-align: left;
  padding: 15px;
  border-left: 5px solid transparent;
}
.wpbs-alert.alert-success {
  background-color: #dff0d8;
  border-color: #cae6be;
}
.wpbs-alert .wpbs-alert-title {

}
.wpbs-alert .wpbs-alert-description {
  
}

/*body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field button.wpbs-coupon-code-button,
body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field button[type="submit"],
body .wpbs-main-wrapper .wpbs-form-container .wpbs-form-field input[type="submit"] {
  color: #000;
  background-color: transparent;
  border: 1px solid rgba(0,0,0,.6);
  transition-delay: .1s;
  font-weight: normal !important;
  letter-spacing: normal;
  border-radius: 0 !important;
  width: 100%;
  padding: 12px 12px;
  text-align: center;
}*/




/* FOOTER */

#qodef-page-footer.qodef-footer--light #qodef-page-footer-top-area {
  --text-color: var(--color-smoke);
}

#qodef-page-footer.qodef-footer--light #qodef-page-footer-top-area * {
  color: var(--text-color);
}

#qodef-page-footer.qodef-footer--light #qodef-page-footer-bottom-area .widget,
#qodef-page-footer.qodef-footer--light #qodef-page-footer-bottom-area .widget a {
  color: var(--text-color);
}

#qodef-page-footer.qodef-footer--light #qodef-page-footer-bottom-area .widget a:hover {
  color: var(--accent-color);
}

#qodef-page-footer #qodef-page-footer-bottom-area .qodef-grid .qodef-grid-item:last-child .widget {
  text-align: right;
}

@media all and (max-width: 680px) {
  #qodef-page-footer #qodef-page-footer-bottom-area .qodef-grid .qodef-grid-item .widget {
    text-align: center !important;
  }
}

#qodef-page-footer .gallery .gallery-item {
  margin-inline-end: 20px;
  width: calc(33% - 20px);
}

#qodef-page-footer .gallery img {
  border: 0;
}

.footer-logo {
  max-width: 225px !important;
  margin-bottom: 2rem;
}

@media all and (min-width: 768px) {
  .footer-logo {
    max-width: 300px !important;
    margin-bottom: 0;
  }
}